[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.GetDefaultLayout

Default layout used for text in the grid column.

## Declaration

Source position: grids.pas line 579

`protected function TGridColumn.GetDefaultLayout: TTextLayout; virtual;`

## Function result

Default value for the Layout property.

## Description

GetDefaultLayout is a TTextLayout function used to get the default value for the Layout property in the grid column. The return value is always tlCenter in TGridColumn.

GetDefaultLayout is called when reading the value for the Layout property, and an explicit value has not been assigned for the property. It is also called when setting a new value in Layout, and determines whether the property member is re-allocated for the new value.

## See also

TGridColumn.Layout |  | The layout (vertical alignment) for text displayed in the column.